# Roles

Onehub uses an advanced role-based permission system to control access and abilities for individual users. Roles are set via [invitations](https://developer.onehub.com/methods/invitations), enforced via [rolemaps](https://developer.onehub.com/methods/rolemaps), and can be changed at any time by an Administrator or Moderator.

{% hint style="info" %}
For more information about roles and their subsequent permissions, check out [Understanding Roles & Permissions](https://onehub.desk.com/customer/en/portal/articles/283687-understanding-roles-permissions?b_id=904) on our Support site.
{% endhint %}

## Available Roles

| Role Name                | Abilities                                                                                                                                                                                                                                          |
| ------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Administrator**        | Can edit the Workspace pages, modify the logo and colors, and modify the Workspace security settings.                                                                                                                                              |
| **Moderator**            | Can upload, edit and delete any file or folder. Can invite other users to the Workspace, invite users to a file and folder, create secure links, and edit all comments in the Workspace.                                                           |
| **Collaborator**         | Can upload, edit and delete any file or folder. Cannot invite users to the Workspace, files, or folders. Cannot create secure links or edit other user’s comments. Useful to allow users to use Onehub Sync without letting them invite new users. |
| **Creator**              | Can view previews, print, and download files. Can upload files to a folder or Workspace and delete folders and files they created. Can view and add comments to files, folders and messages. Can post Messages to a Workspace.                     |
| **Downloader** (Default) | Can view previews, print and download files. Cannot view or add comments to items. Downloader is the default role unless it has been overridden on a folder or file.                                                                               |
| **Printer**              | Can view previews and print but cannot download files. Cannot view or add comments to items.                                                                                                                                                       |
| **Viewer**               | Can view previews of files but cannot print or download files. Cannot view or add comments to items.                                                                                                                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.onehub.com/api/roles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
